diff -uNr proftpd-1.2.10.orig/PATCH/proftpd proftpd-1.2.10/PATCH/proftpd
--- proftpd-1.2.10.orig/PATCH/proftpd	Thu Jan  1 01:00:00 1970
+++ proftpd-1.2.10/PATCH/proftpd	Thu Apr 24 13:02:25 2003
@@ -0,0 +1,116 @@
+#! /bin/sh
+# Copyright (c) 2000-2001 SuSE GmbH Nuernberg, Germany. All rights reserved.
+#
+# Author: Marius Tomaschewski <mt@suse.de>
+#
+# /sbin/init.d/proftpd
+#
+### BEGIN INIT INFO
+# Provides:		proftpd
+# Required-Start:	$network $remote_fs $syslog $named
+# Required-Stop:
+# Default-Start:	3 5
+# Default-Stop:	0 1 2 6
+# Description:		Starts ProFTPD server
+### END INIT INFO
+
+# Source SuSE config
+. /etc/rc.config
+
+# Determine the base and follow a runlevel link name.
+base=${0##*/}
+link=${base#*[SK][0-9][0-9]}
+
+# Force execution if not called by a runlevel directory.
+test $link = $base && START_PROFTPD=yes
+test "$START_PROFTPD" = yes || exit 0
+
+# Return values acc. to LSB for all commands but status (see bellow):
+# 0 - success
+# 1 - generic or unspecified error
+# 2 - invalid or excess argument(s)
+# 3 - unimplemented feature (e.g. "reload")
+# 4 - insufficient privilege
+# 5 - program is not installed
+# 6 - program is not configured
+# 7 - program is not running
+
+proftpd_cfg="/etc/proftpd.conf"
+proftpd_bin="/usr/sbin/proftpd"
+proftpd_pid="/var/run/proftpd.pid"
+
+[ -r $proftpd_cfg ] || exit 6
+[ -x $proftpd_bin ] || exit 5
+
+# Source status functions
+. /etc/rc.status
+
+# First reset status of this service
+rc_reset
+
+case "$1" in
+    start)
+	echo -n "Starting ProFTPD Server: "
+	test -f /etc/shutmsg && rm -f /etc/shutmsg
+	/sbin/startproc $proftpd_bin
+	rc_status -v
+	;;
+
+    stop)
+	echo -n "Shutting down ProFTPD Server: "
+	test -x /usr/sbin/ftpshut && /usr/sbin/ftpshut now && sleep 1
+	/sbin/killproc -TERM $proftpd_bin
+	test -f /etc/shutmsg && rm -f /etc/shutmsg
+	rc_status -v
+	;;
+
+    restart)
+	## If first returns OK call the second, if first or
+	## second command fails, set echo return value.
+	$0 stop
+	$0 start
+	rc_status
+	;;
+
+    try-restart)
+	## Stop the service and if this succeeds (i.e. the
+	## service was running before), start it again.
+	## Note: not (yet) part of LSB (as of 0.7.5)
+	$0 status >/dev/null &&  $0 restart
+	rc_status
+	;;
+
+    reload|force-reload)
+	## Exclusive possibility: Some services must be stopped
+	## and started to force a new load of the configuration.
+	echo -n "Reload ProFTPD Server: "
+	/sbin/killproc -HUP $proftpd_bin
+	rc_status -v
+	;;
+
+    status)
+	# Status has a slightly different for the status command:
+	# 0 - service running
+	# 1 - service dead, but /var/run/  pid  file exists
+	# 2 - service dead, but /var/lock/ lock file exists
+	# 3 - service not running
+	echo -n "Checking for ProFTPD Server: "
+	checkproc $proftpd_bin
+	rc_status -v
+	;;
+	
+    probe)
+	## Optional: Probe for the necessity of a reload,
+	## give out the argument which is required for a reload.
+	[ $proftpd_cfg -nt $proftpd_pid ] && echo reload
+	;;
+
+    *)
+	echo "Usage: $0 {start|stop|status|restart|reload|try-restart|probe}"
+	exit 1
+	;;
+esac
+
+# Set an exit status.
+rc_exit
+
diff -uNr proftpd-1.2.10.orig/PATCH/proftpd.conf proftpd-1.2.10/PATCH/proftpd.conf
--- proftpd-1.2.10.orig/PATCH/proftpd.conf	Thu Jan  1 01:00:00 1970
+++ proftpd-1.2.10/PATCH/proftpd.conf	Thu Apr 24 13:02:25 2003
@@ -0,0 +1,36 @@
+ServerName                      "Willkommen im Kundenbereich!"
+ServerType                      standalone
+ServerAdmin                     root@localhost
+DeferWelcome                    off
+DefaultServer                   on
+Port                            21
+Umask                           022
+User                            nobody
+Group                           nogroup
+IdentLookups                    off
+TimeoutStalled                  300
+TransferLog                     /var/log/xferlog
+LogFormat                       default "%h %l %u %t \"%r\" %s %b"
+LogFormat                       write   "%h %l %u %t \"%r\" %s %b"
+LogFormat                       auth    "v [%P] %h %t \"%r\" %s"
+ExtendedLog                     /var/log/proftpd.access_log    WRITE,READ write
+ExtendedLog                     /var/log/proftpd.auth_log      AUTH auth
+ExtendedLog                     /var/log/proftpd.paranoid_log  ALL default
+DefaultRoot                     ~
+AllowOverwrite                  On
+AuthPAM				off
+
+# Fuer das Directory ~/logs an sich wird das loeschen unterbunden
+<Directory ~/logs>                                                                                                          
+  <Limit RMD XRMD RNFR RNTO>
+    DenyAll
+  </Limit>
+</Directory>
+                                                                                                                            
+# Fuer alle Unterverzeichnisse von ~/logs ist das loeschen erlaubt
+<Directory ~/logs/*>
+  <Limit RMD XRMD RNFR RNTO>
+    AllowAll
+  </Limit>
+</Directory>
+
diff -uNr proftpd-1.2.10.orig/PATCH/rc.config.proftpd proftpd-1.2.10/PATCH/rc.config.proftpd
--- proftpd-1.2.10.orig/PATCH/rc.config.proftpd	Thu Jan  1 01:00:00 1970
+++ proftpd-1.2.10/PATCH/rc.config.proftpd	Thu Apr 24 13:02:25 2003
@@ -0,0 +1,7 @@
+#
+# Set this to 'yes', if you want to start the ProFTPD Server
+# as Daemon instead via /etc/(x)inetd.conf. You have also to
+# set ServerType to standalone in /etc/proftpd.conf.
+#
+START_PROFTPD=yes
+
